{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "0362a1eb-1e46-462a-b22c-f972c398741d",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-e3006ef8308b2f34",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# 10. Programmierübung: Datenanalyse\n",
    "\n",
    "<div style=\"display:flex;\">\n",
    "    <div style=\"text-align: left\">\n",
    "        Willkommen zur zehnten Programmierübung Einführung in Python 3.\n",
    "    </div>\n",
    "    <img style=\"float: right; margin: 0px 15px 15px 0px\" src=\"https://www.python.org/static/img/python-logo-large.c36dccadd999.png?1576869008\" width=\"100\" />\n",
    "</div>\n",
    "\n",
    "Wenn Sie Fragen oder Verbesserungsvorschläge zum Inhalt oder Struktur der Notebooks haben, dann können sie eine E-Mail an Phil Keier ([p.keier@hbk-bs.de](mailto:p.keier@hbk-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) oder Martin Le ([martin.le@tu-bs.de](mailto:martin.le@tu-bs.de?subject=[SigSys]%20Feedback%20Programmierübung&amp)) schreiben.\n",
    "\n",
    "Link zu einem Python Spickzettel: [hier](https://s3.amazonaws.com/assets.datacamp.com/blog_assets/PythonForDataScience.pdf)\n",
    "\n",
    "Der Großteil des Python-Tutorials stammt aus der Veranstaltung _Deep Learning Lab_ und von [www.python-kurs.eu](https://www.python-kurs.eu/python3_kurs.php) und wurde für _Signale und Systeme_, sowie _Einführung in die Programmierung für Nicht Informatiker_ angepasst.\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0a97a824-bc2f-4f9d-a730-42ff05828cc8",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-a5071e148ad2227c",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Data Analysis\n",
    "\n",
    "In dieser & letzter Aufgabe ist dir das Datenset `survey.csv` gegeben. Diese Übung dient als Vorbereitung auf die abschließende Prüfung und wird dieshingehend auch streng bewertet. Jede Aufgabe setzt sich aus 6 Punkten zusammen von denen jeweils 4 auf den Schriftteil und 2 Punkte auf den Programmatischen Teil fallen. \n",
    "\n",
    "Gegeben ist immer eine Hypothese, beweise/widerlege die Hypothese und zeige auch die Gegenhypothese auf. Stelle zu jeder Aufgabe Annahmen an, Erkläre kurz dein Vorgehen, Interpretiere dein Ergebniss, Schließe mit einem angemessenen Fazit ab und erkläre jede von dir selbst erstellte Grafik. Gebe auch alle verwendeten Quellen die benutzt wurden an. \n",
    "\n",
    "Da zahlen nicht Aussagen gilt auch, dass sofern der Schriftteil nicht beantwortet wurde die Aufgabe mit 0 Punkten bewertet wird.\n",
    "\n",
    "Antworten sind in Englisch & Deutsch möglich andere Sprachen werden nicht akzeptiert.\n",
    "\n",
    "Die Daten stammen aus folgender Umfrage [Survey](https://forms.gle/JVKq6FrSUE8kN7Jq6).\n",
    "\n",
    "---"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "ad9d17d9-dd59-4766-bb46-de4df822ce0f",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-3da446eb91bdd35d",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 1\n",
    "\n",
    "Der Kurs besteht überwiegend aus männlichen Individuum, welche überwiegend Windows verwenden und sich überpropotional als gute Programmierer einschätzen."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 2,
   "id": "8e24289e-a738-4ae4-a6d4-a936263120fc",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-a6a23c7c132e44d9",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [
    {
     "data": {
      "text/html": [
       "<div>\n",
       "<style scoped>\n",
       "    .dataframe tbody tr th:only-of-type {\n",
       "        vertical-align: middle;\n",
       "    }\n",
       "\n",
       "    .dataframe tbody tr th {\n",
       "        vertical-align: top;\n",
       "    }\n",
       "\n",
       "    .dataframe thead th {\n",
       "        text-align: right;\n",
       "    }\n",
       "</style>\n",
       "<table border=\"1\" class=\"dataframe\">\n",
       "  <thead>\n",
       "    <tr style=\"text-align: right;\">\n",
       "      <th></th>\n",
       "      <th>Zeitstempel</th>\n",
       "      <th>Wie Alt bist du?</th>\n",
       "      <th>Bewerte deine bisherige Erfahrung mit Gruppenarbeiten an der Universität</th>\n",
       "      <th>Welches Geschlecht hast du?</th>\n",
       "      <th>Was studieren du?</th>\n",
       "      <th>Auf einer Skala von 1-5 (1 - absolut unzufrieden, 5 - absolut zufrieden), wie beurteilst du deinen Studiengang?</th>\n",
       "      <th>Nutzt du ein Smartphone?</th>\n",
       "      <th>Wenn Ja, von welcher Marke ist ihr Smartphone?</th>\n",
       "      <th>Bewerte die allgemeine Politische Situation in Deutschland.</th>\n",
       "      <th>Auf einer Skala von 1-5 (1 - Sehr gut, 5 - Garnicht), wie gut schätzen du dich selbst ein die Programmiersprache Python zu beherrschen ?</th>\n",
       "      <th>Besitzen du einen Heimrechner (Laptop, Standrechner, etc.; Kein Smartphone!)</th>\n",
       "      <th>Wenn Ja, welches Betriebsystem verwendst du?</th>\n",
       "      <th>Ich habe mich (in meinem bisherigen leben) mindestens einmal strukturell benachteiligt gefühlt.</th>\n",
       "      <th>Auf einer Skala von 1-5 (5 Sehr gut, 1 Garnicht), wie gut schätz du dich selbst ein Programmieren zu können?</th>\n",
       "      <th>Ich komme aus...</th>\n",
       "    </tr>\n",
       "  </thead>\n",
       "  <tbody>\n",
       "    <tr>\n",
       "      <th>0</th>\n",
       "      <td>2025/01/17 3:01:58 PM MEZ</td>\n",
       "      <td>22</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>2</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>1</th>\n",
       "      <td>2025/01/17 3:02:20 PM MEZ</td>\n",
       "      <td>23</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>Einem sehr gut situierten Haushalt</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>2</th>\n",
       "      <td>2025/01/17 3:02:20 PM MEZ</td>\n",
       "      <td>30</td>\n",
       "      <td>3</td>\n",
       "      <td>Männlich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>3</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Nein</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>3</th>\n",
       "      <td>2025/01/17 3:02:24 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>4</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>4</th>\n",
       "      <td>2025/01/17 3:02:26 PM MEZ</td>\n",
       "      <td>27</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>2</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Samsung</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>ärmlichen Verhältnissen</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>5</th>\n",
       "      <td>2025/01/17 3:02:31 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>2</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>3</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Nein</td>\n",
       "      <td>4</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>6</th>\n",
       "      <td>2025/01/17 3:02:43 PM MEZ</td>\n",
       "      <td>22</td>\n",
       "      <td>2</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>5</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>1</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>7</th>\n",
       "      <td>2025/01/17 3:02:44 PM MEZ</td>\n",
       "      <td>23</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>8</th>\n",
       "      <td>2025/01/17 3:02:46 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>9</th>\n",
       "      <td>2025/01/17 3:02:58 PM MEZ</td>\n",
       "      <td>22</td>\n",
       "      <td>2</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>ärmlichen Verhältnissen</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>10</th>\n",
       "      <td>2025/01/17 3:02:59 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>11</th>\n",
       "      <td>2025/01/17 3:03:00 PM MEZ</td>\n",
       "      <td>24</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Nein</td>\n",
       "      <td>1</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>12</th>\n",
       "      <td>2025/01/17 3:03:07 PM MEZ</td>\n",
       "      <td>25</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>13</th>\n",
       "      <td>2025/01/17 3:03:14 PM MEZ</td>\n",
       "      <td>24</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>14</th>\n",
       "      <td>2025/01/17 3:03:18 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>3</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>15</th>\n",
       "      <td>2025/01/17 3:03:26 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Nein</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>16</th>\n",
       "      <td>2025/01/17 3:03:28 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>2</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>2</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>3</td>\n",
       "      <td>2</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Nein</td>\n",
       "      <td>3</td>\n",
       "      <td>Einem sehr gut situierten Haushalt</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>17</th>\n",
       "      <td>2025/01/17 3:03:31 PM MEZ</td>\n",
       "      <td>22</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>5</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>3</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>18</th>\n",
       "      <td>2025/01/17 3:03:31 PM MEZ</td>\n",
       "      <td>20</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Nein</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>19</th>\n",
       "      <td>2025/01/17 3:04:07 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>20</th>\n",
       "      <td>2025/01/17 3:04:11 PM MEZ</td>\n",
       "      <td>23</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>1</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>21</th>\n",
       "      <td>2025/01/17 3:04:13 PM MEZ</td>\n",
       "      <td>26</td>\n",
       "      <td>3</td>\n",
       "      <td>Männlich</td>\n",
       "      <td>Sonstige</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 10</td>\n",
       "      <td>Ja</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>22</th>\n",
       "      <td>2025/01/17 3:07:39 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>4</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>23</th>\n",
       "      <td>2025/01/17 3:11:27 PM MEZ</td>\n",
       "      <td>204</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Apple</td>\n",
       "      <td>2</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Mac OS</td>\n",
       "      <td>Ja</td>\n",
       "      <td>1</td>\n",
       "      <td>ärmlichen Verhältnissen</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>24</th>\n",
       "      <td>2025/01/17 3:11:54 PM MEZ</td>\n",
       "      <td>21</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Xiaomi</td>\n",
       "      <td>3</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Nein</td>\n",
       "      <td>2</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "    <tr>\n",
       "      <th>25</th>\n",
       "      <td>2025/01/17 3:49:36 PM MEZ</td>\n",
       "      <td>19</td>\n",
       "      <td>3</td>\n",
       "      <td>Weiblich</td>\n",
       "      <td>Medienwissenschaften</td>\n",
       "      <td>3</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Samsung</td>\n",
       "      <td>3</td>\n",
       "      <td>4</td>\n",
       "      <td>Ja</td>\n",
       "      <td>Windows 11</td>\n",
       "      <td>Nein</td>\n",
       "      <td>3</td>\n",
       "      <td>dem normalem Mittelstand</td>\n",
       "    </tr>\n",
       "  </tbody>\n",
       "</table>\n",
       "</div>"
      ],
      "text/plain": [
       "                  Zeitstempel  Wie Alt bist du?  \\\n",
       "0   2025/01/17 3:01:58 PM MEZ                22   \n",
       "1   2025/01/17 3:02:20 PM MEZ                23   \n",
       "2   2025/01/17 3:02:20 PM MEZ                30   \n",
       "3   2025/01/17 3:02:24 PM MEZ                21   \n",
       "4   2025/01/17 3:02:26 PM MEZ                27   \n",
       "5   2025/01/17 3:02:31 PM MEZ                21   \n",
       "6   2025/01/17 3:02:43 PM MEZ                22   \n",
       "7   2025/01/17 3:02:44 PM MEZ                23   \n",
       "8   2025/01/17 3:02:46 PM MEZ                21   \n",
       "9   2025/01/17 3:02:58 PM MEZ                22   \n",
       "10  2025/01/17 3:02:59 PM MEZ                21   \n",
       "11  2025/01/17 3:03:00 PM MEZ                24   \n",
       "12  2025/01/17 3:03:07 PM MEZ                25   \n",
       "13  2025/01/17 3:03:14 PM MEZ                24   \n",
       "14  2025/01/17 3:03:18 PM MEZ                21   \n",
       "15  2025/01/17 3:03:26 PM MEZ                21   \n",
       "16  2025/01/17 3:03:28 PM MEZ                21   \n",
       "17  2025/01/17 3:03:31 PM MEZ                22   \n",
       "18  2025/01/17 3:03:31 PM MEZ                20   \n",
       "19  2025/01/17 3:04:07 PM MEZ                21   \n",
       "20  2025/01/17 3:04:11 PM MEZ                23   \n",
       "21  2025/01/17 3:04:13 PM MEZ                26   \n",
       "22  2025/01/17 3:07:39 PM MEZ                21   \n",
       "23  2025/01/17 3:11:27 PM MEZ               204   \n",
       "24  2025/01/17 3:11:54 PM MEZ                21   \n",
       "25  2025/01/17 3:49:36 PM MEZ                19   \n",
       "\n",
       "    Bewerte deine bisherige Erfahrung mit Gruppenarbeiten an der Universität  \\\n",
       "0                                                   3                          \n",
       "1                                                   3                          \n",
       "2                                                   3                          \n",
       "3                                                   4                          \n",
       "4                                                   4                          \n",
       "5                                                   2                          \n",
       "6                                                   2                          \n",
       "7                                                   3                          \n",
       "8                                                   3                          \n",
       "9                                                   2                          \n",
       "10                                                  4                          \n",
       "11                                                  3                          \n",
       "12                                                  4                          \n",
       "13                                                  3                          \n",
       "14                                                  3                          \n",
       "15                                                  3                          \n",
       "16                                                  2                          \n",
       "17                                                  4                          \n",
       "18                                                  3                          \n",
       "19                                                  3                          \n",
       "20                                                  3                          \n",
       "21                                                  3                          \n",
       "22                                                  4                          \n",
       "23                                                  3                          \n",
       "24                                                  3                          \n",
       "25                                                  3                          \n",
       "\n",
       "   Welches Geschlecht hast du?     Was studieren du?  \\\n",
       "0                     Weiblich  Medienwissenschaften   \n",
       "1                     Weiblich  Medienwissenschaften   \n",
       "2                     Männlich  Medienwissenschaften   \n",
       "3                     Weiblich  Medienwissenschaften   \n",
       "4                     Weiblich  Medienwissenschaften   \n",
       "5                     Weiblich              Sonstige   \n",
       "6                     Weiblich  Medienwissenschaften   \n",
       "7                     Weiblich              Sonstige   \n",
       "8                     Weiblich  Medienwissenschaften   \n",
       "9                     Weiblich  Medienwissenschaften   \n",
       "10                    Weiblich  Medienwissenschaften   \n",
       "11                    Weiblich  Medienwissenschaften   \n",
       "12                    Weiblich  Medienwissenschaften   \n",
       "13                    Weiblich  Medienwissenschaften   \n",
       "14                    Weiblich  Medienwissenschaften   \n",
       "15                    Weiblich  Medienwissenschaften   \n",
       "16                    Weiblich  Medienwissenschaften   \n",
       "17                    Weiblich  Medienwissenschaften   \n",
       "18                    Weiblich  Medienwissenschaften   \n",
       "19                    Weiblich              Sonstige   \n",
       "20                    Weiblich              Sonstige   \n",
       "21                    Männlich              Sonstige   \n",
       "22                    Weiblich  Medienwissenschaften   \n",
       "23                    Weiblich  Medienwissenschaften   \n",
       "24                    Weiblich  Medienwissenschaften   \n",
       "25                    Weiblich  Medienwissenschaften   \n",
       "\n",
       "    Auf einer Skala von 1-5 (1 - absolut unzufrieden, 5 - absolut zufrieden), wie beurteilst du deinen Studiengang?  \\\n",
       "0                                                   2                                                                 \n",
       "1                                                   4                                                                 \n",
       "2                                                   3                                                                 \n",
       "3                                                   3                                                                 \n",
       "4                                                   2                                                                 \n",
       "5                                                   4                                                                 \n",
       "6                                                   3                                                                 \n",
       "7                                                   3                                                                 \n",
       "8                                                   3                                                                 \n",
       "9                                                   3                                                                 \n",
       "10                                                  3                                                                 \n",
       "11                                                  3                                                                 \n",
       "12                                                  3                                                                 \n",
       "13                                                  3                                                                 \n",
       "14                                                  3                                                                 \n",
       "15                                                  3                                                                 \n",
       "16                                                  2                                                                 \n",
       "17                                                  5                                                                 \n",
       "18                                                  3                                                                 \n",
       "19                                                  4                                                                 \n",
       "20                                                  4                                                                 \n",
       "21                                                  4                                                                 \n",
       "22                                                  4                                                                 \n",
       "23                                                  3                                                                 \n",
       "24                                                  4                                                                 \n",
       "25                                                  3                                                                 \n",
       "\n",
       "   Nutzt du ein Smartphone? Wenn Ja, von welcher Marke ist ihr Smartphone?  \\\n",
       "0                        Ja                                          Apple   \n",
       "1                        Ja                                          Apple   \n",
       "2                        Ja                                       Sonstige   \n",
       "3                        Ja                                          Apple   \n",
       "4                        Ja                                        Samsung   \n",
       "5                        Ja                                          Apple   \n",
       "6                        Ja                                          Apple   \n",
       "7                        Ja                                       Sonstige   \n",
       "8                        Ja                                          Apple   \n",
       "9                        Ja                                          Apple   \n",
       "10                       Ja                                          Apple   \n",
       "11                       Ja                                          Apple   \n",
       "12                       Ja                                          Apple   \n",
       "13                       Ja                                          Apple   \n",
       "14                       Ja                                          Apple   \n",
       "15                       Ja                                          Apple   \n",
       "16                       Ja                                          Apple   \n",
       "17                       Ja                                          Apple   \n",
       "18                       Ja                                          Apple   \n",
       "19                       Ja                                          Apple   \n",
       "20                       Ja                                          Apple   \n",
       "21                       Ja                                          Apple   \n",
       "22                       Ja                                          Apple   \n",
       "23                       Ja                                          Apple   \n",
       "24                       Ja                                         Xiaomi   \n",
       "25                       Ja                                        Samsung   \n",
       "\n",
       "    Bewerte die allgemeine Politische Situation in Deutschland.  \\\n",
       "0                                                   1             \n",
       "1                                                   2             \n",
       "2                                                   3             \n",
       "3                                                   2             \n",
       "4                                                   2             \n",
       "5                                                   3             \n",
       "6                                                   2             \n",
       "7                                                   2             \n",
       "8                                                   2             \n",
       "9                                                   2             \n",
       "10                                                  2             \n",
       "11                                                  1             \n",
       "12                                                  2             \n",
       "13                                                  1             \n",
       "14                                                  3             \n",
       "15                                                  2             \n",
       "16                                                  3             \n",
       "17                                                  3             \n",
       "18                                                  2             \n",
       "19                                                  2             \n",
       "20                                                  1             \n",
       "21                                                  2             \n",
       "22                                                  2             \n",
       "23                                                  2             \n",
       "24                                                  3             \n",
       "25                                                  3             \n",
       "\n",
       "    Auf einer Skala von 1-5 (1 - Sehr gut, 5 - Garnicht), wie gut schätzen du dich selbst ein die Programmiersprache Python zu beherrschen ?  \\\n",
       "0                                                   3                                                                                          \n",
       "1                                                   4                                                                                          \n",
       "2                                                   3                                                                                          \n",
       "3                                                   4                                                                                          \n",
       "4                                                   4                                                                                          \n",
       "5                                                   4                                                                                          \n",
       "6                                                   5                                                                                          \n",
       "7                                                   3                                                                                          \n",
       "8                                                   4                                                                                          \n",
       "9                                                   4                                                                                          \n",
       "10                                                  4                                                                                          \n",
       "11                                                  3                                                                                          \n",
       "12                                                  3                                                                                          \n",
       "13                                                  3                                                                                          \n",
       "14                                                  4                                                                                          \n",
       "15                                                  4                                                                                          \n",
       "16                                                  2                                                                                          \n",
       "17                                                  4                                                                                          \n",
       "18                                                  4                                                                                          \n",
       "19                                                  3                                                                                          \n",
       "20                                                  3                                                                                          \n",
       "21                                                  3                                                                                          \n",
       "22                                                  3                                                                                          \n",
       "23                                                  4                                                                                          \n",
       "24                                                  3                                                                                          \n",
       "25                                                  4                                                                                          \n",
       "\n",
       "   Besitzen du einen Heimrechner (Laptop, Standrechner, etc.; Kein Smartphone!)  \\\n",
       "0                                                  Ja                             \n",
       "1                                                  Ja                             \n",
       "2                                                  Ja                             \n",
       "3                                                  Ja                             \n",
       "4                                                  Ja                             \n",
       "5                                                  Ja                             \n",
       "6                                                  Ja                             \n",
       "7                                                  Ja                             \n",
       "8                                                  Ja                             \n",
       "9                                                  Ja                             \n",
       "10                                                 Ja                             \n",
       "11                                                 Ja                             \n",
       "12                                                 Ja                             \n",
       "13                                                 Ja                             \n",
       "14                                                 Ja                             \n",
       "15                                                 Ja                             \n",
       "16                                                 Ja                             \n",
       "17                                                 Ja                             \n",
       "18                                                 Ja                             \n",
       "19                                                 Ja                             \n",
       "20                                                 Ja                             \n",
       "21                                                 Ja                             \n",
       "22                                                 Ja                             \n",
       "23                                                 Ja                             \n",
       "24                                                 Ja                             \n",
       "25                                                 Ja                             \n",
       "\n",
       "   Wenn Ja, welches Betriebsystem verwendst du?  \\\n",
       "0                                    Windows 11   \n",
       "1                                        Mac OS   \n",
       "2                                    Windows 11   \n",
       "3                                        Mac OS   \n",
       "4                                        Mac OS   \n",
       "5                                        Mac OS   \n",
       "6                                        Mac OS   \n",
       "7                                        Mac OS   \n",
       "8                                    Windows 11   \n",
       "9                                    Windows 11   \n",
       "10                                   Windows 11   \n",
       "11                                   Windows 10   \n",
       "12                                   Windows 10   \n",
       "13                                       Mac OS   \n",
       "14                                       Mac OS   \n",
       "15                                   Windows 10   \n",
       "16                                       Mac OS   \n",
       "17                                   Windows 10   \n",
       "18                                   Windows 10   \n",
       "19                                   Windows 11   \n",
       "20                                       Mac OS   \n",
       "21                                   Windows 10   \n",
       "22                                       Mac OS   \n",
       "23                                       Mac OS   \n",
       "24                                   Windows 11   \n",
       "25                                   Windows 11   \n",
       "\n",
       "   Ich habe mich (in meinem bisherigen leben) mindestens einmal strukturell benachteiligt gefühlt.  \\\n",
       "0                                                  Ja                                                \n",
       "1                                                  Ja                                                \n",
       "2                                                Nein                                                \n",
       "3                                                  Ja                                                \n",
       "4                                                  Ja                                                \n",
       "5                                                Nein                                                \n",
       "6                                                  Ja                                                \n",
       "7                                                  Ja                                                \n",
       "8                                                  Ja                                                \n",
       "9                                                  Ja                                                \n",
       "10                                                 Ja                                                \n",
       "11                                               Nein                                                \n",
       "12                                                 Ja                                                \n",
       "13                                                 Ja                                                \n",
       "14                                                 Ja                                                \n",
       "15                                               Nein                                                \n",
       "16                                               Nein                                                \n",
       "17                                                 Ja                                                \n",
       "18                                               Nein                                                \n",
       "19                                                 Ja                                                \n",
       "20                                                 Ja                                                \n",
       "21                                                 Ja                                                \n",
       "22                                                 Ja                                                \n",
       "23                                                 Ja                                                \n",
       "24                                               Nein                                                \n",
       "25                                               Nein                                                \n",
       "\n",
       "    Auf einer Skala von 1-5 (5 Sehr gut, 1 Garnicht), wie gut schätz du dich selbst ein Programmieren zu können?  \\\n",
       "0                                                   2                                                              \n",
       "1                                                   2                                                              \n",
       "2                                                   3                                                              \n",
       "3                                                   4                                                              \n",
       "4                                                   3                                                              \n",
       "5                                                   4                                                              \n",
       "6                                                   1                                                              \n",
       "7                                                   3                                                              \n",
       "8                                                   2                                                              \n",
       "9                                                   2                                                              \n",
       "10                                                  2                                                              \n",
       "11                                                  1                                                              \n",
       "12                                                  3                                                              \n",
       "13                                                  3                                                              \n",
       "14                                                  2                                                              \n",
       "15                                                  2                                                              \n",
       "16                                                  3                                                              \n",
       "17                                                  2                                                              \n",
       "18                                                  2                                                              \n",
       "19                                                  2                                                              \n",
       "20                                                  3                                                              \n",
       "21                                                  3                                                              \n",
       "22                                                  2                                                              \n",
       "23                                                  1                                                              \n",
       "24                                                  2                                                              \n",
       "25                                                  3                                                              \n",
       "\n",
       "                      Ich komme aus...  \n",
       "0             dem normalem Mittelstand  \n",
       "1   Einem sehr gut situierten Haushalt  \n",
       "2             dem normalem Mittelstand  \n",
       "3             dem normalem Mittelstand  \n",
       "4              ärmlichen Verhältnissen  \n",
       "5             dem normalem Mittelstand  \n",
       "6             dem normalem Mittelstand  \n",
       "7             dem normalem Mittelstand  \n",
       "8             dem normalem Mittelstand  \n",
       "9              ärmlichen Verhältnissen  \n",
       "10            dem normalem Mittelstand  \n",
       "11            dem normalem Mittelstand  \n",
       "12            dem normalem Mittelstand  \n",
       "13            dem normalem Mittelstand  \n",
       "14            dem normalem Mittelstand  \n",
       "15            dem normalem Mittelstand  \n",
       "16  Einem sehr gut situierten Haushalt  \n",
       "17            dem normalem Mittelstand  \n",
       "18            dem normalem Mittelstand  \n",
       "19            dem normalem Mittelstand  \n",
       "20            dem normalem Mittelstand  \n",
       "21            dem normalem Mittelstand  \n",
       "22            dem normalem Mittelstand  \n",
       "23             ärmlichen Verhältnissen  \n",
       "24            dem normalem Mittelstand  \n",
       "25            dem normalem Mittelstand  "
      ]
     },
     "execution_count": 2,
     "metadata": {},
     "output_type": "execute_result"
    }
   ],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "80cf1c27-644a-4538-abbc-7d5f524251d7",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-9cbb6c488a06eb18",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "171340b9-0302-4c7c-ac85-f81d1e57a9da",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-3fc34b3f943dfa4b",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 2\n",
    "\n",
    "Geisteswissenschaftliche Studierende neigen dazu das Betriebsystem Mac Os zu verwenden. Unteranderem wird auch angenommen, dass diese Gruppe überwiegend das Smartphone Betriebsystem Android verwendet. Daraus ableitend ist anzunehmen das diese Gruppe sich selbst als mittelmäßige Python Programmierer einschätzt."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 5,
   "id": "98fb0abc-0d50-4f4c-aeb0-16b056aeeabf",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-b28aca63b8048f70",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "7ae161df-8dd8-4828-99cc-3ba28d2bf9dd",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-016f2b30651bea18",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "3b77bda1-5851-4394-81c7-fd649cb980e5",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-fae767f8aab85e92",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 3\n",
    "\n",
    "Studierende aus gut situierten Haushalten neigen dazu Gruppenarbeiten an der Uni als schlecht einzuschätzen. Insbesondere dann wenn Sie sich selbst als Gute Programmierer einschätzen."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 6,
   "id": "0d74bd0d-e83e-4211-bc58-b9615e36b848",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-34a9cdeebcf2d7b9",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "b9bb8c23-e161-492c-b1ee-9cc4c21c2325",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-81264718d58ae0f6",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "3fa617bb-77dd-4c43-b30b-b422eac770ef",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-d532947366781d90",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "# Hypothesis 4\n",
    "\n",
    "Personen die bereits strukturelle Benachteiligung erfahren haben sind meistens älter als der Durschnitt der Samplegruppe und in ärmlicheren Verhältnissen aufgewachsen. Ihr bevorzugtes Smartphone ist ein Samsung."
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 7,
   "id": "18467418-586b-4153-9066-0de730994e8e",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-5284bedc957436b3",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "3f5dace2-5a13-4806-946c-0d0e4c9bc307",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-90f0108fe83268c7",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  },
  {
   "cell_type": "markdown",
   "id": "c6fdcfa2-5507-4c85-b262-c83e6b1074ee",
   "metadata": {
    "nbgrader": {
     "grade": false,
     "grade_id": "cell-6ace0ffb9a32d3b1",
     "locked": true,
     "schema_version": 3,
     "solution": false,
     "task": false
    }
   },
   "source": [
    "## Hypothesis 5\n",
    "\n",
    "Jüngere Studierende betrachten die zurzeitige Politische Situation in Deutschland als schlecht. Unteranderem deshalb bewerten Sie Gruppenarbeiten als etwas gutes, da so ihr sozialer Zusammenhalt gestärkt wird"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": 8,
   "id": "5a76e273-a649-4bdf-ba8d-bc1351d0ec08",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-18c2e79244ca1beb",
     "locked": false,
     "points": 2,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "outputs": [],
   "source": [
    "### BEGIN SOLUTION\n",
    "### END SOLUTION"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "8bd2c8fa-801a-4c0a-8754-61bdc2f8127b",
   "metadata": {
    "nbgrader": {
     "grade": true,
     "grade_id": "cell-a421f0cc1a31c697",
     "locked": false,
     "points": 4,
     "schema_version": 3,
     "solution": true,
     "task": false
    }
   },
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.12.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
